%MATLAB Script-file: smith_z_m.m, smith_z.slx
clf, clear

lw=1.5; t=0:0.01:10;
KS=1.0; TS=1.0; Tt=1.0;        %Streckenparameter
KR=0.5; TN=0.5;                %T-Summen-PI-Regler

z10 = 1.0; z20 = 0.0;          %Versorgungsstrgre z1(t)
sim('smith_z',t);
plot(x_t.time,x_t.signals.values,'k-','LineWidth',lw), grid on, hold on 
title('Strungssprungantworten fr K_S=1,T_S=1 s,T_t=1 s, z_1_0=1, z_2_0=1')
xlabel('Zeit t / s'), ylabel('Strungssprungantworten  x  _z_1(t),  x_z_2(t)')

z10 = 0.0; z20 = 1.0;          %Laststrgre z2(t)
sim('smith_z',t);
plot(x_t.time,x_t.signals.values,'k:','LineWidth',lw)

h=legend('x_z_1(t)','x_z_2(t)');
hold off

