%pwm_signale_m.m
%pwm_signale.mdl
clf, cla

sim('pwm_signale')

subplot (2,1,1)
for i=0:5
    ia = 1000*i+2; ie = 1000*(i+1)-2*i;
    plot (ytpwm.time(ia:ie), ytpwm.signals(1).values(ia:ie))
    axis ([-0.02 0.62 -0.1 1.1])
    hold on, grid on, 
    text (0.1*i+0.02*i-0.001, 0.2*i+0.001*i, '\bullet')
    xlabel ('Zeit  t / s'), ylabel('Treppenfunktion, Sgezahnfunktion')
end
ia = 1; ie = length(ytpwm.signals(2).values) - 1;
plot (ytpwm.time(ia:ie), ytpwm.signals(2).values(ia:ie),'LineWidth', 1.5)

subplot (2,1,2)
plot (ytpwm.time, ytpwm.signals(3).values,'LineWidth', 1.5)
axis ([-0.02 0.62 -0.1 1.1])
grid on
xlabel ('Zeit  t / s'), ylabel('Pulsweitenmoduliertes Signal')
