%MATLAB Script-File ddaempf_167.m
%Dmpfung und Kennkreisfrequenz fr
%zeitkontinuierliche und zeitdiskrete Systeme
pol=[-0.5+0.5*j; -0.5-0.5*j; -1+0.2*j; -1-0.2*j]; %Pole {G(s)}
nul=[];             %G(s) hat keine Nullstellen 
k=1;                %Konstante
                                   
pnG=zpk(nul,pol,k);	%Pol-Nullstellen-Modell
G=tf(pnG);        	%Pol-Nullstellen-Modell --> G(s)
damp(G)             %Pole von G(s), D, w0, Ti

T=1.5;              %Abtastzeit
dG=c2d(G,T,'zoh'); 	%G(s) --> G(z)
damp(dG)            %Pole von G(z), |spi|, D, w0, Ti
