classdef AddMulThreeInputs < matlab.System
% Addiert und multipliziert drei Eingangsgren
  methods(Access=protected)    
    function [y1,y2] = stepImpl(~,x1,x2,x3) % stepImpl berechnet die Aus-
    % gangsgren aus den Eingangsgren fr einen Simulationszeitschritt
      y1 = x1 + x2 + x3;
      y2 = x1 * x2 * x3;
    end 
    % getNumInputsImpl ermittelt die Anzahl der Eingnge
    function num = getNumInputsImpl(~)
      num = 3;
    end
    % getNumOutputsImpl ermittelt die Anzahl der Ausgnge
    function num = getNumOutputsImpl(~)
      num = 2;
    end    
  end  
end