%time_delay_transport_delay_m.m
%time_delay_transport_delay.mdl

t01 = 2;
t02 = 1;
TStep = 2 + 0.001;
sim('time_delay_transport_delay.mdl')

t = daten.time;

figure (1)
subplot(3,1,1)
plot(t, daten.signals(1).values(:,3),'LineWidth', 1.25)
hold on
plot(t, daten.signals(1).values(:,1), 'LineWidth', 1.25)
grid on
axis ([0 6 -0.1 2.2])
xlabel ('Zeit  t / s')
title(' Zeitverzgerungen T_0(t), T_i(t), Eingangsgre x_e(t)')
subplot(3,1,2)
plot(t, daten.signals(1).values(:,2), 'LineWidth', 1.25)
grid on
axis ([0 6 -0.1 1.25])
xlabel ('Zeit  t / s')
title ('Variable Zeitverzgerung, Ausgangsgre x_a(t) = x_e(t - T_0(t))')
subplot(3,1,3)
plot(t, daten.signals(2).values(:,2), 'LineWidth', 1.25)
hold on
%plot(t, daten.signals(2).values(:,3))
grid on
axis ([0 6 -0.1 1.25])
xlabel ('Zeit  t / s')
title ('Variable Transportverzgerung, Ausgangsgre x_a(t) = x_e(t - t_d(t))')
